Bug 312727

Summary: Desktop Change OSD doesn't update its geometry when changing display resolution
Product: kwin Reporter: Elias Probst <mail>
Component: scriptingAssignee: KWin default assignee <kwin-bugs-null>
Status: RESOLVED FIXED    
Severity: minor Flags: mgraesslin: ReviewRequest+
Priority: NOR    
Version: 4.9.95 (RC 1)   
Target Milestone: 4.10.1   
Platform: Gentoo Packages   
OS: Linux   
URL: https://git.reviewboard.kde.org/r/108945/
Latest Commit: Version Fixed In: 4.10.1
Attachments: Screenshot showing the wrong geometry of the OSD after changing the display resolution

Description Elias Probst 2013-01-06 02:15:53 UTC
Created attachment 76236 [details]
Screenshot showing the wrong geometry of the OSD after changing the display resolution

When changing the resolution of the display (here: changing from my laptop's 1920x1080 display to my external 2560x1440 monitor), the geometry of the "Desktop Change OSD" isn't updated and the arrows which are shown are clearly misplaced.

See the attached screenshot for an example.

Using KDE 4.10 RC2 (only RC1 was available for selection) and Qt 4.8.4.
Comment 1 Elias Probst 2013-02-03 03:45:32 UTC
Probably related: bug#306466
Comment 2 Martin Flöser 2013-02-20 12:02:08 UTC
Git commit 1e3cf9e197cabf00e921a4769742942acc36d24c by Martin Gräßlin.
Committed on 13/02/2013 at 16:04.
Pushed by graesslin into branch 'KDE/4.10'.

Fix layout issues of Desktop Change OSD

* no more binding loops - yeah for anchoring
* properly update sizes when switching screens
* properly handle case layout indicator enabled/disabled
* connect to desktop changed and reset desktop model
* set a maximum width/height of 0.8 of screen

Most interesting change is the moving of
visible = true;
to the beginning of the block which updates the layout. Without that
all the changes are ignored resulting in the incorrect size on screen
change.

The disadvantage of that is that the OSD is shown before the layout is
adjusted. But it's considerable minor given that it should be just one
frame.
Related: bug 312728, bug 305737
FIXED-IN: 4.10.1
REVIEW: 108945

M  +17   -17   kwin/scripts/desktopchangeosd/contents/ui/main.qml

http://commits.kde.org/kde-workspace/1e3cf9e197cabf00e921a4769742942acc36d24c